import { Token } from '../types';
import { CoinMetadata } from '@mysten/sui/client';
export declare function coinMetadataToCoinInfo(metadata: CoinMetadata, coinType: string): Token;
export declare function useTokens(): {
    getTokens: () => Promise<void>;
    fetchTokenInfo: (coinType: string) => Promise<Token | undefined>;
    getTokenInfo: (coinType?: string) => Token | undefined;
};
